Name:           ivtv
Version:        0.10.3
Release:        1%{?dist}
Summary:        Kernel module for ivtv

Group:          System Environment/Kernel
License:        GPL
URL:            http://ivtvdriver.org
Source0:        http://dl.ivtvdriver.org/ivtv/archive/0.10.x/ivtv-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides:       ivtv-kmod-common = %{version}
Requires:       ivtv-kmod >= %{version}

BuildRequires:  kernel-headers

Requires: perl-Video-ivtv, perl-Video-Frequencies
#Requires: ivtv-firmware-dec >= 1.18.21
#Requires: ivtv-firmware-enc >= 2.0.48.24
Requires: ivtv-firmware

%description
The primary goal of the IvyTV Project is to create a kernel driver for
the iTVC15 familiy of MPEG codecs. The iTVC15 family includes the
iTVC15 (CX24315) and iTVC16 (CX24316). These chips are commonly found
on Hauppauge's WinTV PVR-250 and PVR-350 TV capture cards.

%package devel
Summary: The %{name} kernel header files
Group: Development/System

%description devel
The %{name} kernel headers are used for accessing the kernel modules' API.


%prep
%setup -q
install -m 0644 test/README README.test
sed -i 's|-O2 -Wall -g|$(RPM_OPT_FLAGS)|' utils/Makefile
sed -i 's|-O2 -Wall|$(RPM_OPT_FLAGS)|' test/Makefile

%build
make -C utils INCDIR=%{_includedir}
make -C test INCDIR=%{_includedir}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ivtv/
make -C utils INCDIR=%{_includedir} DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} install
install -p utils/*.pl $RPM_BUILD_ROOT%{_datadir}/ivtv
install -m 0755 test/vbi test/wss test/vbi-passthrough test/vbi-detect \
    test/ivtv-pcm-tester $RPM_BUILD_ROOT%{_bindir}
ln -s ivtv-radio $RPM_BUILD_ROOT%{_bindir}/radio-ivtv


cat > ivtv.modprobe <<EOF
# ivtv modules setup
alias char-major-81 videodev
alias char-major-81-0 ivtv

# This may used if multiple ivtv cards tuner='card1','card2' where -1 is autodetected
#alias char-major-81-1 ivtv
#options ivtv tuner=-1,2

#If you use also a bttv card on the same system
#alias char-major-81-1 bttv
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/
install -D -p -m 0644 ivtv.modprobe $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/ivtv


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%doc doc/fw-readme.txt  doc/README.devices  doc/README.ivtvfb  doc/README.radio  
%doc doc/README.vbi doc/modules.txt doc/README.install doc/README.lirc doc/README.utils
%doc doc/video-quality.txt README.test
%config(noreplace) %{_sysconfdir}/modprobe.d/ivtv
%{_bindir}/cx25840ctl
%{_bindir}/ivtv*
%{_bindir}/radio-ivtv
%{_bindir}/v4l2-ctl
%{_bindir}/vbi*
%{_bindir}/wss
%{_bindir}/ps-analyzer
%{_datadir}/ivtv/ivtvfwextract.pl

%files devel
%defattr(-,root,root,-)
%doc misc/*
%{_includedir}/linux/ivtv.h


%changelog
* Mon Jun 4 2007 kwizart < kwizart at gmail.com > - 0.10.3-1
- Update to 0.10.3
- Add RPM_OPT_FLAGS

* Fri Mar 2 2007 kwizart < kwizart at gmail.com > - 0.10.1-1
- Update to 0.10.1
- Requires ivtv-firmware

* Fri Jan 19 2007 kwizart < kwizart at gmail.com > - 0.9.1-2
- Drop firmware download script
- Requires firmware-enc/dec

* Sat Jan 13 2007 kwizart < kwizart at gmail.com > - 0.9.1-1
- Update to 0.9.1 for kernel 2.6.19
- Requires firmwares

* Sat Jan 06 2007 kwizart < kwizart at gmail.com > - 0.8.2-1
- Initial Release.
